#
# spec file for package makeself
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           makeself
Version:        2.1.5
Release:        7.3
License:        GPL-2.0+
Summary:        Make self-extractable archives on Unix
Url:            http://www.megastep.org/makeself/
Group:          Productivity/Archiving/Compression
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-%{version}-rpmlintrc
BuildArch:      noarch

%if 0%{?suse_version} < 1120 || 0%{?sles_version} <= 11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

%description
Small shell script that generates a self-extractable tar.gz archive from a
directory. The resulting file appears as a shell script (many of those
have a .run suffix), and can be launched as is. The archive will then
uncompress itself to a temporary directory and an optional arbitrary
command will be executed (for example an installation script).

This is pretty similar to archives generated with WinZip Self-Extractor in
the Windows world. Makeself archives also include checksums for integrity
self-validation (CRC and/or MD5 checksums).

%prep
%setup -q

%build

%install
install -D -m0755 makeself.sh  %{buildroot}%{_bindir}/makeself.sh
install -D -m0755 makeself-header.sh  %{buildroot}%{_bindir}/makeself-header.sh

%if 0%{?suse_version} < 1120 || 0%{?sles_version} <= 11

%clean
rm -rf '%{buildroot}'
%endif

%files
%defattr(-,root,root,-)
%doc README TODO
%{_bindir}/makeself-header.sh
%{_bindir}/makeself.sh

%changelog
* Sun Feb 10 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.1.5-7
- Package for Fuduntu

* Mon Jul 11 2011 malcolmlewis@opensuse.org
- Update spec file License field from GPLv2+ to GPL-2.0+ to
  conform with spdx.org identifier.
- Fix error in rpmlitrc file.
* Mon Jul 11 2011 mrdocs@opensuse.org
- spec file tweaks.
- convert changelog to  .changes file.
* Tue Mar 23 2010 Malcolm J Lewis <coyoteuser@gmail.com> - 2.1.5
- initial OBS build.
